## kdepimlibs 4.10.0

=== CMakeLists.txt ===
project(kdepimlibs)

# set_package_properties appeared in cmake 2.8.6
# TODO: Remove when kdelibs >= 4.10 will be required
cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)

# where to look first for cmake modules. This line must be the first one or cmake will use the system's FindFoo.cmake
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")


############### The kdepimlibs version (used e.g. in KdepimLibsConfig.cmake) ###############
set(KDEPIMLIBS_VERSION_MAJOR 4)
set(KDEPIMLIBS_VERSION_MINOR 10)
set(KDEPIMLIBS_VERSION_PATCH 0)
set(KDEPIMLIBS_VERSION ${KDEPIMLIBS_VERSION_MAJOR}.${KDEPIMLIBS_VERSION_MINOR}.${KDEPIMLIBS_VERSION_PATCH})


############### search packages used by KDE ###############

# cmake would not find kde for xcompile if that is not set
if(WINCE)
    set(KDE4_DATA_DIR "${CMAKE_PREFIX_PATH}/share/apps")
endif()

set (QT_MIN_VERSION "4.8.0")
# kdepim depends on the latest released version of kdelibs, ie. 4.x kdepim depends on 4.x-1 kdelibs
# Exception is made for kdepimlibs 4.10: The feature_summary port implicitly requires kdelibs 4.9.4 and CMake 2.8.6
find_package(KDE4 4.9.4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(KDEPlatformProfile)
include(FeatureSummary)

# Used by options
include(CMakeDependentOption)

############### Desktop vs. Mobile options ##############

if (KDE_PLATFORM_PROFILE STREQUAL "Mobile")
  set(_default_mobile_ui TRUE)
else()
  set(_default_mobile_ui FALSE)
endif()


############### Build Options ###############

option(KDEPIM_ONLY_KLEO "Only build the libraries needed by Kleopatra." FALSE)
cmake_dependent_option(KDEPIM_NO_KCAL "Build without legacy KCal" TRUE "KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED" FALSE)
cmake_dependent_option(KDEPIM_NO_KRESOURCES "Build without legacy KResource support." TRUE "KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED" FALSE)
cmake_dependent_option(KDEPIM_MOBILE_UI "Build UI for mobile devices instead of for desktops" TRUE "_default_mobile_ui" FALSE)
option(STATIC_LIBRARY "Build kdepimlibs as static libraries." FALSE)
#option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled." FALSE)

############### Load the CTest options ###############
# Setting DART_TESTING_TIMEOUT has no effect on the tests timeout,
# the timeout value must be changed directly in DartConfiguration.tcl
set(_DartConfigFile "${CMAKE_BINARY_DIR}/DartConfiguration.tcl")
if(EXISTS ${_DartConfigFile})
  set(DartTestingTimeout "120")
  file(READ ${_DartConfigFile} _DartConfigFile_content)
  string(REGEX REPLACE "TimeOut: 1500" "TimeOut: ${DartTestingTimeout}" _DartConfigFile_content ${_DartConfigFile_content})
  file(WRITE ${_DartConfigFile} ${_DartConfigFile_content})
endif()

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)


############### Find the stuff we need ###############

set(Boost_MINIMUM_VERSION "1.34.0")
find_package(Boost ${Boost_MINIMUM_VERSION} COMPONENTS graph)
set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "http://www.boost.org" TYPE REQUIRED PURPOSE "Boost must include the boost-graph library")

#FindGpgme.cmake already handles the log message but we must ensure it is required.
find_package(Gpgme REQUIRED)
# configure macros
if (GPGME_FOUND)
  include (gpgme++/ConfigureChecks.cmake)
endif()

if (NOT KDEPIM_ONLY_KLEO)
  #FindAkonadi.cmake is only there for compatibility reasons, but we don't want to use that.
  set(Akonadi_MIN_VERSION "1.8.51")
  find_package(Akonadi ${Akonadi_MIN_VERSION} QUIET NO_MODULE)
  set_package_properties(Akonadi PROPERTIES DESCRIPTION "Akonadi server libraries" URL "http://pim.kde.org/akonadi" TYPE REQUIRED PURPOSE "Access to PIM storage and services")

  find_package(Sasl2)
  set_package_properties(Sasl2 PROPERTIES DESCRIPTION "cyrus-sasl" URL "http://asg.web.cmu.edu/sasl/sasl-library.html" TYPE REQUIRED PURPOSE "Login authentication for IMAP and Sieve")

  include (ConfigureChecks.cmake)

  set(SHARED_MIME_INFO_MINIMUM_VERSION "0.30")
  find_package(SharedMimeInfo)
  set_package_properties(SharedMimeInfo PROPERTIES DESCRIPTION "shared-mime-info" URL "http://freedesktop.org/wiki/Software/shared-mime-info" TYPE REQUIRED PURPOSE "Information about filetypes")


  set(SDO_MIN_VERSION 0.10)
  set(SOPRANO_MIN_VERSION 2.7.56)

  find_package(SharedDesktopOntologies ${SDO_MIN_VERSION})
  set_package_properties(SharedDesktopOntologies PROPERTIES DESCRIPTION "Shared desktop ontologies" URL "http://oscaf.sourceforge.net" TYPE REQUIRED PURPOSE "Ontology information for use with Nepomuk")

  find_package(Soprano)
  if (NOT WINCE)
    set_package_properties(Soprano PROPERTIES DESCRIPTION "Soprano" URL "http://soprano.sourceforge.net" TYPE REQUIRED PURPOSE "Storage of semantic data")
  else()
    set_package_properties(Soprano PROPERTIES DESCRIPTION "Soprano" URL "http://soprano.sourceforge.net" TYPE OPTIONAL PURPOSE "Storage of semantic data")
  endif()
  if (Soprano_FOUND AND NOT WINCE)
  include(SopranoAddOntology)
  endif()

  find_package(NepomukCore)
  set_package_properties(NepomukCore PROPERTIES DESCRIPTION "NepomukCore"  URL "http://www.kde.org" TYPE REQUIRED PURPOSE "Nepomuk extends the search and tagging functionalities in KMail and Akonadi")

  set(LIBICAL_MIN_VERSION "0.42")
  find_package(Libical)
  set_package_properties(Libical PROPERTIES DESCRIPTION "libical" URL "http://sourceforge.net/projects/freeassociation" TYPE REQUIRED PURPOSE "Calendar support")

  find_package(QJSON)
  set_package_properties(QJSON PROPERTIES DESCRIPTION "QJSON" URL "http://qjson.sourceforge.net/" TYPE REQUIRED PURPOSE "Qt library for handling JSON data")

endif()

############### Needed commands before building anything ###############

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

if (KDEPIM_MOBILE_UI)
  add_definitions( -DKDEPIM_MOBILE_UI )
endif()

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${Boost_INCLUDE_DIR})

if (KDEPIM_NO_KRESOURCES)
  add_definitions(-DKDEPIM_NO_KRESOURCES)
endif()
if (KDEPIM_NO_KCAL)
  add_definitions(-DKDEPIM_NO_KCAL)
endif()

if(WINCE)
  set(STATIC_LIBRARY ON)
  add_definitions(-DKDELIBS_STATIC_LIBS)
endif()

if(STATIC_LIBRARY)
  set(LIBRARY_TYPE STATIC)
  add_definitions(-DKDEPIM_STATIC_LIBS)
  message(STATUS "Building kdepimlibs as static libraries")
else()
  set(LIBRARY_TYPE SHARED)
endif()


############### Now, we add the KDEPIMLibs components ###############
# These targets will always be built
add_subdirectory(cmake)
add_subdirectory(gpgme++)
add_subdirectory(qgpgme)

if (NOT KDEPIM_ONLY_KLEO)
  add_subdirectory(kabc)
  add_subdirectory(kalarmcal)
  if (NOT KDEPIM_NO_KCAL)
    if (NOT WINCE)
    add_subdirectory(kblog)
    endif()
    add_subdirectory(kcal)
  endif()
  add_subdirectory(kcalcore)
  add_subdirectory(kcalutils)
  add_subdirectory(akonadi) # depends on kabc is build
  add_subdirectory(kholidays)
  add_subdirectory(kimap)
  add_subdirectory(kioslave)
  add_subdirectory(kldap)
  add_subdirectory(kmbox)
endif()
  add_subdirectory(kmime)
if (NOT KDEPIM_ONLY_KLEO)
  add_subdirectory(kpimidentities)
  add_subdirectory(kpimutils)
  add_subdirectory(kpimtextedit)
  if (NOT KDEPIM_NO_KRESOURCES)
    add_subdirectory(kresources)
  endif()
  add_subdirectory(ktnef)
  add_subdirectory(kxmlrpcclient)
  add_subdirectory(mailtransport)
  add_subdirectory(microblog)
  add_subdirectory(syndication)
  if (NOT WINCE)
  add_subdirectory(kontactinterface)
  endif()
  # Build the CamelCase headers
  add_subdirectory(includes)
endif()


# doc must be a subdir of kdepimlibs
macro_optional_add_subdirectory(doc)

# All done, let's display what we found...
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

############### Here we install some extra stuff  ###############

if (NOT KDEPIM_ONLY_KLEO)
  install(FILES kdepimlibs-mime.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
  update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})
endif()


# now create the KdepimLibsConfig.cmake file, which will be loaded by
# kdelibs/cmake/modules/FindKdepimLibs.cmake and which has to contain all information
# about the installed kdepimlibs anybody would like to have. Alex

# we need the absolute directories where stuff will be installed too
# but since the variables which contain the destinations can be relative
# or absolute paths, we need this macro to make them all absoulte, Alex
macro(MAKE_INSTALL_PATH_ABSOLUTE out in)
   if (IS_ABSOLUTE "${in}")    # IS_ABSOLUTE is new since cmake 2.4.8
      set(${out} "${in}")
   else()
      set(${out} "\${KDEPIMLIBS_INSTALL_DIR}/${in}")
   endif()
endmacro(MAKE_INSTALL_PATH_ABSOLUTE out in)

# all the following variables are put into KdepimLibsConfig.cmake, so
# they are usable by projects using kdepimlibs. Alex
make_install_path_absolute(KDEPIMLIBS_DATA_DIR            ${DATA_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_DBUS_INTERFACES_DIR ${DBUS_INTERFACES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_DBUS_SERVICES_DIR   ${DBUS_SERVICES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_INCLUDE_DIR         ${INCLUDE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LIB_DIR             ${LIB_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_BIN_DIR             ${BIN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LIBEXEC_DIR         ${LIBEXEC_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SBIN_DIR            ${SBIN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_HTML_DIR            ${HTML_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_CONFIG_DIR          ${CONFIG_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_ICON_DIR            ${ICON_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_KCFG_DIR            ${KCFG_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LOCALE_DIR          ${LOCALE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_MIME_DIR            ${MIME_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SOUND_DIR           ${SOUND_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_TEMPLATES_DIR       ${TEMPLATES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_WALLPAPER_DIR       ${WALLPAPER_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_KCONF_UPDATE_DIR    ${KCONF_UPDATE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_AUTOSTART_DIR       ${AUTOSTART_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_XDG_APPS_DIR        ${XDG_APPS_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_XDG_DIRECTORY_DIR   ${XDG_DIRECTORY_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SYSCONF_DIR         ${SYSCONF_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_MAN_DIR             ${MAN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_INFO_DIR            ${INFO_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SERVICES_DIR        ${SERVICES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SERVICETYPES_DIR    ${SERVICETYPES_INSTALL_DIR})

# Used in configure_file() and install(EXPORT)
set(KDEPIMLIBS_TARGET_PREFIX KDEPIMLibs__)

# this file is installed and contains all necessary information about the installed kdepimlibs, it also loads the file with the exported targets
configure_file(KdepimLibsConfig.cmake.in "${CMAKE_CURRENT_BINARY_DIR}/KdepimLibsConfig.cmake" @ONLY)

# this file will be installed too and will be used by cmake when searching for the Config.cmake file to check the version of kdepimlibs, Alex
macro_write_basic_cmake_version_file(${CMAKE_CURRENT_BINARY_DIR}/KdepimLibsConfigVersion.cmake
                                     ${KDEPIMLIBS_VERSION_MAJOR} ${KDEPIMLIBS_VERSION_MINOR} ${KDEPIMLIBS_VERSION_PATCH})

set(_KdepimLibsConfig_INSTALL_DIR ${LIB_INSTALL_DIR}/KdepimLibs/cmake)
# places where find_package() looks for FooConfig.cmake files:

=== debian/changelog ===
kdepimlibs (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:50:06 +0000

kdepimlibs (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:30:41 +0000

kdepimlibs (4:4.9.97-0ubuntu2) raring; urgency=low

  * Make sure kdepimlibs5-dev pulls in nepomuk-core-dev

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 10 Jan 2013 17:33:09 +0530

kdepimlibs (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:19:18 +0100

kdepimlibs (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Philip Muškovac ]
  * Bump libakonadi-dev build-dep to >= 1.8.51
  * Add Build-dep on libx11-dev

  [ Jonathan Riddell ]
  * New upstream RC release
  * Add build-dep on nepomuk-core-dev
  * Update kdepimlibs5-dev.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:09:08 +0000

kdepimlibs (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * Remove dont_break_libkabc_abi.diff now upstream
  * Update kdepimlibs5-dev.install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:50:00 +0000

kdepimlibs (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release
  * Remove 03_hide_akonadi_progressbar.diff now upstream
  * Update .symbols file

  [ Scott Kitterman ]
  * Add libqjson-dev to build-depends since it is required for 4.10
  * Update symbols files
  * Drop FindAkonadi.cmake from debian/kdepimlibs5-dev.install since it is no
    longer provided by upstream
  * Add FindQtOAuth.cmake to debian/kdepimlibs5-dev.install
  * Document files we don't install in debian/NOT-INSTALLED
  * Add new binary, libakonadi-socialutils4
    - Add to debian/control
    - Add to kdepimlibs metapackage depends
    - Add debian/libakonadi-socialutils4.install
    - Add debian/libakonadi-socialutils4.symbols 
  * Update kdepimlibs5-dev.install for new headers for 4.10
  * Add googletalkprotocol.desktop to debian/libakonadi-contact4.install
  * Add missing symbols files for libakonadi-notes4 and libkalarmcal2
  * Add dont_break_libkabc_abi.diff to fix ABI break - patch from José Manuel
    Santamaría Lema

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Nov 2012 17:32:30 -0500

kdepimlibs (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)
    - build-depend on libakonadi-dev (>= 1.8.1)
    - add new symbols to libakonadi-kde4.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:34:01 +0100

kdepimlibs (4:4.8.3-0r1) raring; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Add myself to uploaders.
  * Add libakonadi-notes4 and libkalarmcal2 packages.
  * Update installed files.
  * Remove kio_imap_append.diff, applied upstream.
  * Bump kdelibs5-dev version to 4.8.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Update symbols files.
  * Add symbols files for libakonadi-notes4 and libkalarmcal2.

  [ Modestas Vainius ]
  * Drop upstream_Disambiguations-necessary-for-building-with-clang.patch, was
    backported from upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Mar 2012 21:16:23 +0100

kdepimlibs (4:4.7.2-0r1) raring; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump build dependency on kdelibs5-dev to version 4:4.7.
  * Bump build dependency on libakonadi-dev to version 1.5.52.
  * Add libprison-dev to Build-Depends.
  * Update installed files.
  * Update symbols files.
  * Exclude kde-runtime from dh_shlibdeps results.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 09 Aug 2011 16:43:40 +0200

kdepimlibs (4:4.6.0-0ubuntu2) raring; urgency=low

  * Update kde-sc-dev-latest version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Jan 2011 11:40:31 +0000

kdepimlibs (4:4.5.1-0r1) raring; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.

  [ George Kiagiadakis ]
  * Change my email address in uploaders.
  * Refresh patch 03_hide_akonadi_progressbar.diff.
  * Remove patch 01_hurd_support.diff, no longer needed.
  * Remove patch 02_increase_fail_timeout.diff, no longer needed.
  * Update installed files.
  * Update symbol files.
  * Bump build dependency on kdelibs5-dev to version 4:4.5.
  * Bump build dependency on libakonadi-dev to version 1.3.80.
  * Add build dependencies on shared-desktop-ontologies and libsoprano-dev.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 01 Aug 2010 10:41:56 +0300

kdepimlibs (4:4.1.80-0ubuntu2) raring; urgency=low

  [ Harald Sitter ]
  * Change Vcs-Browser to Launchpad and replace Vcs-Svn with Vcs-Bzr

  [ Jonathan Thomas ]
  * Add conflict/replace on akonadi-kde (<< 4:4.1.80~) to kdepimlibs5, an
    akonadi .so moved to kdepimlibs5 in KDE 4.1.80

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 04 Dec 2008 08:36:52 -0500

=== debian/control ===
Source: kdepimlibs
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
Build-Depends:
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
 kdelibs5-dev (>= 4:4.10.0), libgpgme11-dev, libldap2-dev, libsasl2-dev,
 libboost1.49-dev, libboost-graph1.49-dev, shared-mime-info,
 libakonadi-dev (>= 1.8.51), libical-dev (>= 0.42),
 shared-desktop-ontologies (>= 0.8), libsoprano-dev, xsltproc, uuid-dev,
 libprison-dev, libqjson-dev, libxslt-dev, xsltproc, pkg-config, libx11-dev,
 nepomuk-core-dev
Standards-Version: 3.9.3
Homepage: http://pim.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepimlibs.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepimlibs.git

Package: kdepimlibs5
Section: libs
Architecture: any
Depends: ${misc:Depends}, kdepimlibs-kio-plugins (= ${binary:Version}),
 libakonadi-kabc4 (= ${binary:Version}), libakonadi-kde4 (= ${binary:Version}),
 libakonadi-kmime4 (= ${binary:Version}), libakonadi-socialutils4 (= ${binary:Version}),
 libgpgme++2 (= ${binary:Version}),
 libkabc4 (= ${binary:Version}), libkblog4 (= ${binary:Version}),
 libkcal4 (= ${binary:Version}), libkholidays4 (= ${binary:Version}),
 libkimap4 (= ${binary:Version}), libkldap4 (= ${binary:Version}),
 libkmime4 (= ${binary:Version}), libkpimidentities4 (= ${binary:Version}),
 libkpimtextedit4 (= ${binary:Version}), libkpimutils4 (= ${binary:Version}),
 libkresources4 (= ${binary:Version}), libktnef4 (= ${binary:Version}),
 libkxmlrpcclient4 (= ${binary:Version}), libmailtransport4 (= ${binary:Version}),
 libmicroblog4 (= ${binary:Version}), libqgpgme1 (= ${binary:Version}),
 libsyndication4 (= ${binary:Version}), libkalarmcal2 (= ${binary:Version})
Description: KDE Development Platform PIM libraries (transitional package)
 This is a dummy package to ease transition to the new library packages.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kdepimlibs5-dev
Section: libdevel
Architecture: any
Depends: ${sameVersionDep:kdelibs5-dev:libakonadi-kde4}, ${allLibraries},
 nepomuk-core-dev, ${misc:Depends}
Replaces: kdepimlibs-data (<< 4:4.1.80), libkleopatra1-dev, kdepimlibs5 (<< 4:4.4.85)
Breaks: kdepimlibs-data (<< 4:4.1.80), libkleopatra1-dev, kdepimlibs5 (<< 4:4.4.85)
Description: development files for the KDE Development Platform PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kdepimlibs-kio-plugins
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules
Replaces: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Description: kio slaves used by KDE PIM applications
 This package contains the imap4, ldap, mbox, nntp, pop3, sieve and smtp kio
 slaves.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-contact4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepim-runtime (<< 4:4.4.0)
Breaks: kdepim-runtime (<< 4:4.4.0)
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kabc4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.85), akonadi-kde (<< 4:4.1.80)
Breaks: kdepimlibs5 (<< 4:4.4.85), akonadi-kde (<< 4:4.1.80)
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kcal4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepim-runtime (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
Breaks: kdepim-runtime (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kde4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kmime4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-socialutils4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Akonadi resources for handling social feeds
 Akonadi resource types for social media related feeds.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libgpgme++2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.85)
Breaks: kdepimlibs5 (<< 4:4.4.85)
Description: c++ wrapper library for gpgme
 GpgME++ is a C++ wrapper (or C++ bindings) for the GnuPG project's gpgme
 (GnuPG Made Easy) library.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkabc4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Description: library for handling address book data
 This library provides an API for address book data. It includes features
 such as:
  * Value based interface, addressbook entry data is implicitly shared.
  * Address book entries are identified by a unique id.
  * vCard backend (RFC 2425 / RFC 2426).
  * Locking mechanism to support concurrent access to the address book by
    multiple processes.
  * Notification on change of addressbook by other process.
  * Dialog for selecting address book entries, supports mouse and keyboard
    selection, supports automatic name completion.
  * GUI client for viewing, modifying address book data. This is aimed at
    developers not end users.
  * Tool for converting data, written with libkab, to libkabc format.
  * Multiple backends (resources) for storing entries e.g. LDAP
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkblog4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.85)
Breaks: kdepimlibs5 (<< 4:4.4.85)
Description: client-side support library for web application remote blogging APIs
 KBlog is a library for calling functions on Blogger 1.0, MetaWeblog,
 MovableType and GData compatible blogs. It calls the APIs using KXmlRpcClient
 and Syndication. It supports asynchronous sending and fetching of posts and,
 if supported on the server, multimedia files. Almost every modern blogging web
 application that provides an XML data interface supports one of the APIs
 mentioned above.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkalarmcal2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcal4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Description: library for handling calendar data
 This library provides access to and handling of calendar data. It supports
 the standard formats iCalendar and vCalendar and the group scheduling
 standard iTIP.
 .
 This library integrates with the deprecated KResource framework, and its use
 is discouraged in favour of KCalCore and KCalUtils.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcalcore4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for handling calendar data
 This library provides access to and handling of calendar data. It supports
 the standard formats iCalendar and vCalendar and the group scheduling
 standard iTIP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcalutils4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library with utility functions for the handling of calendar data
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkholidays4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.85), kdepimlibs-data
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkimap4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules
Replaces: kdepimlibs5 (<< 4:4.4.85)
Breaks: kdepimlibs5 (<< 4:4.4.85)
Description: library for handling IMAP data
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkldap4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: library for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkmbox4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libkmbox
Breaks: libkmbox
Description: library for handling mbox mailboxes
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-calendar4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions for integrate the use of Akonadi calendar
 items in applications.
 .

## kdepimlibs 4.10.2

=== debian/changelog ===
kdepimlibs (4:4.10.2-0ubuntu1) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Update symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:30:38 +0200

kdepimlibs (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
    - add new symbols to libmailtransport4.symbols and
      libakonadi-contact4.symbols
    - drop an optional symbol from libakonadi-kde4.symbols
  * Move kdepimlibs5 transitional package to oldlibs/extra to make lintian
    happy

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:42:10 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends:
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
- kdelibs5-dev (>= 4:4.10.0), libgpgme11-dev, libldap2-dev, libsasl2-dev,
+ kdelibs5-dev (>= 4:4.10.2), libgpgme11-dev, libldap2-dev, libsasl2-dev,
  libboost1.49-dev, libboost-graph1.49-dev, shared-mime-info,
  libakonadi-dev (>= 1.8.51), libical-dev (>= 0.42),
  shared-desktop-ontologies (>= 0.8), libsoprano-dev, xsltproc, uuid-dev,
@@ -22,7 +22,8 @@
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepimlibs.git
 
 Package: kdepimlibs5
-Section: libs
+Section: oldlibs
+Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, kdepimlibs-kio-plugins (= ${binary:Version}),
  libakonadi-kabc4 (= ${binary:Version}), libakonadi-kde4 (= ${binary:Version}),
@@ -285,5 +286,3 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library providing calendar helpers for Akonadi items
  This library offers helper functions for integrate the use of Akonadi calendar
- items in applications.
- .

## kdepimlibs 4.10.5

=== debian/changelog ===
kdepimlibs (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)
    - add new symbols for libkalarmcal2

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:41:50 +0200

kdepimlibs (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:29:49 +0200

kdepimlibs (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 17:59:36 +0200

kdepimlibs (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  [ Philip Muškovac ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Update symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:30:38 +0200

kdepimlibs (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release
    - add new symbols to libmailtransport4.symbols and
      libakonadi-contact4.symbols
    - drop an optional symbol from libakonadi-kde4.symbols
  * Move kdepimlibs5 transitional package to oldlibs/extra to make lintian
    happy

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:42:10 +0000

kdepimlibs (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:50:06 +0000

kdepimlibs (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:30:41 +0000

kdepimlibs (4:4.9.97-0ubuntu2) raring-proposed; urgency=low

  * Make sure kdepimlibs5-dev pulls in nepomuk-core-dev

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 10 Jan 2013 17:33:09 +0530

kdepimlibs (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:19:18 +0100

kdepimlibs (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  [ Philip Muškovac ]
  * Bump libakonadi-dev build-dep to >= 1.8.51
  * Add Build-dep on libx11-dev

  [ Jonathan Riddell ]
  * New upstream RC release
  * Add build-dep on nepomuk-core-dev
  * Update kdepimlibs5-dev.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:09:08 +0000

kdepimlibs (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release
  * Remove dont_break_libkabc_abi.diff now upstream
  * Update kdepimlibs5-dev.install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:50:00 +0000

kdepimlibs (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release
  * Remove 03_hide_akonadi_progressbar.diff now upstream
  * Update .symbols file

  [ Scott Kitterman ]
  * Add libqjson-dev to build-depends since it is required for 4.10
  * Update symbols files
  * Drop FindAkonadi.cmake from debian/kdepimlibs5-dev.install since it is no
    longer provided by upstream
  * Add FindQtOAuth.cmake to debian/kdepimlibs5-dev.install
  * Document files we don't install in debian/NOT-INSTALLED
  * Add new binary, libakonadi-socialutils4
    - Add to debian/control
    - Add to kdepimlibs metapackage depends
    - Add debian/libakonadi-socialutils4.install
    - Add debian/libakonadi-socialutils4.symbols 
  * Update kdepimlibs5-dev.install for new headers for 4.10
  * Add googletalkprotocol.desktop to debian/libakonadi-contact4.install
  * Add missing symbols files for libakonadi-notes4 and libkalarmcal2
  * Add dont_break_libkabc_abi.diff to fix ABI break - patch from José Manuel
    Santamaría Lema

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Nov 2012 17:32:30 -0500

kdepimlibs (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)
    - build-depend on libakonadi-dev (>= 1.8.1)
    - add new symbols to libakonadi-kde4.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:34:01 +0100

kdepimlibs (4:4.8.3-0r1) raring-proposed; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Add myself to uploaders.
  * Add libakonadi-notes4 and libkalarmcal2 packages.
  * Update installed files.
  * Remove kio_imap_append.diff, applied upstream.
  * Bump kdelibs5-dev version to 4.8.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Update symbols files.
  * Add symbols files for libakonadi-notes4 and libkalarmcal2.

  [ Modestas Vainius ]
  * Drop upstream_Disambiguations-necessary-for-building-with-clang.patch, was
    backported from upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Mar 2012 21:16:23 +0100

kdepimlibs (4:4.7.2-0r1) raring-proposed; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump build dependency on kdelibs5-dev to version 4:4.7.
  * Bump build dependency on libakonadi-dev to version 1.5.52.
  * Add libprison-dev to Build-Depends.
  * Update installed files.
  * Update symbols files.
  * Exclude kde-runtime from dh_shlibdeps results.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 09 Aug 2011 16:43:40 +0200

kdepimlibs (4:4.6.0-0ubuntu2) raring-proposed; urgency=low

  * Update kde-sc-dev-latest version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Jan 2011 11:40:31 +0000

kdepimlibs (4:4.5.1-0r1) raring-proposed; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.

  [ George Kiagiadakis ]
  * Change my email address in uploaders.
  * Refresh patch 03_hide_akonadi_progressbar.diff.
  * Remove patch 01_hurd_support.diff, no longer needed.
  * Remove patch 02_increase_fail_timeout.diff, no longer needed.
  * Update installed files.
  * Update symbol files.


=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends:
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
- kdelibs5-dev (>= 4:4.10.2), libgpgme11-dev, libldap2-dev, libsasl2-dev,
+ kdelibs5-dev (>= 4:4.10.5), libgpgme11-dev, libldap2-dev, libsasl2-dev,
  libboost1.49-dev, libboost-graph1.49-dev, shared-mime-info,
  libakonadi-dev (>= 1.8.51), libical-dev (>= 0.42),
  shared-desktop-ontologies (>= 0.8), libsoprano-dev, xsltproc, uuid-dev,
